reverse.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/fold_left.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_REVERSE(list) MSGPACK_PP_LIST_REVERSE_I(list)
#define | MSGPACK_PP_LIST_REVERSE_I(list) MSGPACK_PP_LIST_FOLD_LEFT(MSGPACK_PP_LIST_REVERSE_O, MSGPACK_PP_NIL, list)
#define | MSGPACK_PP_LIST_REVERSE_O(d, s, x) (x, s)
#define | MSGPACK_PP_LIST_REVERSE_D(d, list) MSGPACK_PP_LIST_REVERSE_D_I(d, list)
#define | MSGPACK_PP_LIST_REVERSE_D_I(d, list) MSGPACK_PP_LIST_FOLD_LEFT_ ## d(MSGPACK_PP_LIST_REVERSE_O, MSGPACK_PP_NIL, list)

## Macro Definition Documentation

## MSGPACK_PP_LIST_REVERSE

#define MSGPACK_PP_LIST_REVERSE | ( |  | list | ) | MSGPACK_PP_LIST_REVERSE_I(list)

## MSGPACK_PP_LIST_REVERSE_D

#define MSGPACK_PP_LIST_REVERSE_D | ( |  | d,
|  |  | list
| ) |  | MSGPACK_PP_LIST_REVERSE_D_I(d, list)

## MSGPACK_PP_LIST_REVERSE_D_I

#define MSGPACK_PP_LIST_REVERSE_D_I | ( |  | d,
|  |  | list
| ) |  | MSGPACK_PP_LIST_FOLD_LEFT_ ## d(MSGPACK_PP_LIST_REVERSE_O, MSGPACK_PP_NIL, list)

## MSGPACK_PP_LIST_REVERSE_I

#define MSGPACK_PP_LIST_REVERSE_I | ( |  | list | ) | MSGPACK_PP_LIST_FOLD_LEFT(MSGPACK_PP_LIST_REVERSE_O, MSGPACK_PP_NIL, list)

## MSGPACK_PP_LIST_REVERSE_O

#define MSGPACK_PP_LIST_REVERSE_O | ( |  | d,
|  |  | s,
|  |  | x
| ) |  | (x, s)